# 📝 Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [0.1.23] - 2024-12-29 🚀

### ✨ Features
- **Initial Release**: First public release of Cursor ID Modifier
- **Multi-Platform Support**: 
  - 🪟 Windows (x64, x86)
  - 🍎 macOS (Intel & Apple Silicon)
  - 🐧 Linux (x64, x86, ARM64)
- **Installation**:
  - Automated installation scripts for all platforms
  - One-line installation commands
  - Secure download and verification
- **Core Functionality**:
  - Telemetry ID modification for Cursor IDE
  - Automatic process management
  - Secure configuration handling

### 🐛 Bug Fixes
- **Installation**:
  - Fixed environment variable preservation in sudo operations
  - Enhanced error handling during installation
  - Improved binary download reliability
- **Process Management**:
  - Improved Cursor process detection accuracy
  - Enhanced process termination reliability
  - Better handling of edge cases
- **User Experience**:
  - Enhanced error messages and user feedback
  - Improved progress indicators
  - Better handling of system permissions

### 🔧 Technical Improvements
- Optimized binary size with proper build flags
- Enhanced cross-platform compatibility
- Improved error handling and logging
- Better system resource management

### 📚 Documentation
- Added comprehensive installation instructions
- Included platform-specific guidelines
- Enhanced error troubleshooting guide

---
*For more details about the changes, please refer to the [commit history](https://github.com/yuaotian/go-cursor-help/commits/main).*

[0.1.22]: https://github.com/yuaotian/go-cursor-help/releases/tag/v0.1.23 